package com.company.example.exception;

import org.apache.commons.lang.exception.NestableRuntimeException;

/**
 * <B>DDMS Exception</B>
 * 
 * @author leesangboo
 * 
 */
public class ApplicationException extends NestableRuntimeException {

	private static final long serialVersionUID = 1L;

	private Throwable exceptionCause = null;

	public ApplicationException(String msg) {
		super(msg);
	}

	public ApplicationException(String msg, Throwable exception) {
		super(msg, exception);
		this.exceptionCause = exception;
	}

	@Override
	public void printStackTrace() {
		if (this.exceptionCause != null) {
			this.exceptionCause.printStackTrace(System.err);
		}
	}

}
