package com.company.example.web.home;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.form.Form;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.NoticeService;

import com.company.example.web.BaseActionBean;

public class HomeNoticeBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(HomeNoticeBean.class);

	private NoticeService notice_service;

	private Form search;
	private Form form;

	private List today_notice_list;

	public HomeNoticeBean() {
		init(); //
	}

	public void init() {
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		notice_service = CommonServiceFactory.getNoticeService();
		//
		search = new Form();
		form = new Form();
		//
		today_notice_list = new ArrayList();
	}

	public String notice() throws Exception {
		search.put("is_use", "Y");
		today_notice_list = notice_service.selectNoticeListByToday(search);
		return SUCCESS;
	}

	public String alert() throws Exception {
		form.putAll(notice_service.selectNoticeMap(form));
		return SUCCESS;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public NoticeService getNotice_service() {
		return notice_service;
	}

	public void setNotice_service(NoticeService noticeService) {
		notice_service = noticeService;
	}

	public List getToday_notice_list() {
		return today_notice_list;
	}

	public void setToday_notice_list(List todayNoticeList) {
		today_notice_list = todayNoticeList;
	}

}
