package com.company.example.web.start;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.ActionBean;
import org.jdesigner.platform.web.annotation.Action;
import org.jdesigner.platform.web.annotation.Forward;
import org.jdesigner.platform.web.annotation.View;
import org.jdesigner.platform.web.annotation.Web;

/**
 * IndexBean
 * 
 * @author leesangboo
 * 
 */
@Web(namespace = "start_index_bean")
public class IndexBean extends ActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(IndexBean.class);

	public IndexBean() {
		init();//
	}

	private void init() {
		log.info("ActionBean[" + this.getClass() + "] initialize...");
	}

	@Action(path = "/start/index")
	@Forward(name = View.SUCCESS, layout = ".self.layout", content = "/start/index.jsp")
	public String index() throws Exception {
		return View.SUCCESS;
	}

}
