/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.domain;

import java.util.Map;

/**
 * MenuLocation
 * 
 * @author leesangboo
 * 
 */
public class MenuLocation implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	//
	private String url;
	private int currentLevel;
	private Map currentMenu;

	//
	private Map primaryMenu;
	private Map secondMenu;
	private Map thirdMenu;

	/**
	 * @return the url
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * @param url
	 *            the url to set
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return the currentLevel
	 */
	public int getCurrentLevel() {
		return currentLevel;
	}

	/**
	 * @param currentLevel
	 *            the currentLevel to set
	 */
	public void setCurrentLevel(int currentLevel) {
		this.currentLevel = currentLevel;
	}

	/**
	 * @return the currentMenu
	 */
	public Map getCurrentMenu() {
		return currentMenu;
	}

	/**
	 * @param currentMenu
	 *            the currentMenu to set
	 */
	public void setCurrentMenu(Map currentMenu) {
		this.currentMenu = currentMenu;
	}

	/**
	 * @return the primaryMenu
	 */
	public Map getPrimaryMenu() {
		return primaryMenu;
	}

	/**
	 * @param primaryMenu
	 *            the primaryMenu to set
	 */
	public void setPrimaryMenu(Map primaryMenu) {
		this.primaryMenu = primaryMenu;
	}

	/**
	 * @return the secondMenu
	 */
	public Map getSecondMenu() {
		return secondMenu;
	}

	/**
	 * @param secondMenu
	 *            the secondMenu to set
	 */
	public void setSecondMenu(Map secondMenu) {
		this.secondMenu = secondMenu;
	}

	/**
	 * @return the thirdMenu
	 */
	public Map getThirdMenu() {
		return thirdMenu;
	}

	/**
	 * @param thirdMenu
	 *            the thirdMenu to set
	 */
	public void setThirdMenu(Map thirdMenu) {
		this.thirdMenu = thirdMenu;
	}

}
