/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.logging;

/**
 * MDCKeys
 * 
 * @author leesangboo
 * 
 */
public class MDCKeys {
	public static final String PROCESS_ID_KEY = "process_id";
	public static final String JSESSION_ID_KEY = "jsession_id";
	public static final String REMORTE_HOST_KEY = "remorte_host";
	public static final String REMORTE_ADDRESS_KEY = "remorte_address";
	public static final String REQUEST_URI_KEY = "request_uri";
	public static final String REQUEST_QUERY_KEY = "request_query";
	public static final String USERNAME_KEY = "username";
}
