/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.web;

/**
 * <B>웹 키</B>
 * 
 * @author leesangboo
 * 
 */
public class WebKeys {

	public static final String USER_LOGIN_KEY = "_user_login";

	public static final String USER_MENU_TREE_KEY = "_common_web_user_menu_tree";

	public static final String USER_PREVIOUS_MENU_LOCATION_KEY = "_user_previous_menu_location";

	public static final String USER_CURRENT_MENU_LOCATION_KEY = "_user_current_menu_location";

	public static final String UI_STATE_STORE_KEY = "_common_web_ui_state_store";

}
