/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.ui;

/**
 * TagConstants
 * 
 * @author leesangboo
 * 
 */
public class TagConstants {

	public static final String JS_PATH = "/common/js";

	public static final String CSS_PATH = "/common/css";

	public static final String TAG_UI_TEMPATE_PATH = "WEB-INF/template/taglib/";

	public static final String GRID_COLUMN_MODEL_KEY = "_tag_grid_column_model";

	public static final String TABLE_COLUMN_MODEL_KEY = "_tag_table_column_model";

}
