package com.company.example.util;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 * <B>Web 어플리케이션 유틸리티</B>
 * 
 * @author leesangboo
 * 
 */
public class WebAppUtils {

	/**
	 * 세션에 저장된 사용자 정보 맵을 반환한다.
	 * 
	 * @param session
	 * @return
	 */
	public static Map getEmployeeMapInSession(HttpSession session) {
		return (Map) session.getAttribute(Constants.SESSION_EMP_MAP_KEY);
	}

	/**
	 * 세션에 저장된 사용자 정보 맵을 반환한다.
	 * 
	 * @param request
	 * @return
	 */
	public static Map getEmployeeMapInSession(HttpServletRequest request) {
		return (Map) request.getSession().getAttribute(Constants.SESSION_EMP_MAP_KEY);
	}

}
