/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.table.rdbms;

/**
 * JavaTypes
 * 
 * @author leesangboo
 * 
 */
public class JavaTypes {

	public static final String BOOLEAN = "java.lang.Boolean";

	public static final String BOOLEAN_PRIMITIVE = "boolean";

	public static final String STRING = "java.lang.String";

	public static final String LONG = "java.lang.Long";

	public static final String LONG_PRIMITIVE = "long";

	public static final String SHORT = "java.lang.Short";

	public static final String SHORT_PRIMITIVE = "short";

	public static final String INTEGER = "java.lang.Integer";

	public static final String INTEGER_PRIMITIVE = "int";

	public static final String DOUBLE = "java.lang.Double";

	public static final String DOUBLE_PRIMITIVE = "double";

	public static final String FLOAT = "java.lang.Float";

	public static final String FLOAT_PRIMITIVE = "float";

	public static final String DATE = "java.util.Date";

	public static final String DATE_SQL = "java.sql.Date";

	public static final String CHAR = "java.lang.Character";

	public static final String CHAR_PRIMITIVE = "char";

	public static final String BYTE = "java.lang.Byte";

	public static final String BYTE_PRIMITIVE = "byte";

}
