package org.jdesigner.platform.util;

/**
 * <B>Number Utils</B>
 * 
 * @author leesangboo
 * 
 */
public class NumberUtils extends org.apache.commons.lang.math.NumberUtils {

	/**
	 * NUMBER_GROUPING_SEPARATOR
	 */
	private static final String NUMBER_GROUPING_SEPARATOR = ",";

	/**
	 * String형 숫자 값에서 넘버 그룹핑을 삭제한다.
	 * 
	 * @param value
	 * @return
	 */
	public static String removeNumberGrouping(String value) {
		if (value == null) {
			return value;
		}
		return value.replaceAll(NUMBER_GROUPING_SEPARATOR, "");
	}

}
