/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.theme;

/**
 * <B>Theme</B>
 * 
 * @author leesangboo
 * 
 */
public class Theme implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String name;

	private String cssPath;

	private String imagesDirPath;

	public Theme(String name, String cssPath, String imagesDirPath) {
		super();
		this.name = name;
		this.cssPath = cssPath;
		this.imagesDirPath = imagesDirPath;
	}

	public String getCssPath() {
		return cssPath;
	}

	public void setCssPath(String cssPath) {
		this.cssPath = cssPath;
	}

	public String getImagesDirPath() {
		return imagesDirPath;
	}

	public void setImagesDirPath(String imagesPath) {
		this.imagesDirPath = imagesPath;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
